/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License
*/
/*
 * ASTConstants.java
 *
 * Created on 10 marzo 2003, 18.34
 * @author  Valter Crescenzi
 */

package roadrunner.ast;

public interface ASTConstants {
    
    int JJTVOID    = 0;
    int JJTAND     = 1; final public String AND     = "and";
    int JJTPLUS    = 2; final public String PLUS    = "plus";
    int JJTHOOK    = 3; final public String HOOK    = "hook";
    int JJTTOKEN   = 4; final public String TOKEN   = "token";
    int JJTVARIANT = 5; final public String VARIANT = "variant";
    int JJTSUBTREE = 6; final public String SUBTREE = "subtree";
    
    
    public String[] jjtNodeName = {
        "void",
        AND,
        PLUS,
        HOOK,
        TOKEN,
        VARIANT,
        SUBTREE,
    };
    
    
    final public String EXPRESSION  = "expression";
    final public String PCDATA      = "pcdata";
    final public String TAG         = "tag";
    final public String ELEMENT     = "element";
    final public String ATTRIBUTES  = "attrs";
    final public String DEPTH       = "depth";
    final public String LABEL       = "label";
    
    final public String ATTRIBUTES_SEPARATOR     = ",";
    final public String ATTRIBUTE_NAME_VALUE_SEP = ":";
}
