/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License
*/
/*
 * InstanceConstants.java
 *
 * Created on
 * @author  Valter Crescenzi
 */
package roadrunner.marshall;

import roadrunner.ast.ASTConstants;

public interface InstanceConstants extends ASTConstants {
    
    final public String INSTANCE  = "instance";
    final public String NAME      = "name";
    
    // constants for non-null values
    final public String ATTRIBUTE   = "attribute";
    final public String IMAGE       = "image";
    final public String SOURCE      = "source";
    final public String LINK        = "link";
    final public String TARGET      = "target";
    
    // constants for null values
    final public String NULL        = "null";
    final public String NULL_LINK   = "null_link";
    final public String NULL_IMAGE  = "null_image";
    final public String NULL_SUBTREE= "null_subtree";
}
