/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License
*/
/**
 * LinkToken.java
 *
 * Created on February 29, 2004, 20:40 PM
 * @author  Valter Crescenzi
 */

package roadrunner.parser.token;


import java.io.File;
import java.util.Map;

import roadrunner.parser.Token;

class LinkToken extends TagToken implements Token {
        
    private String href;
    
    /** Creates a new instance of TagToken */
    LinkToken(String destUrl, Tag tag, int code, int depth) {
        super(tag, code, depth);
        this.href = destUrl;
    }
    
    public String getText() {
        throw new RuntimeException("This object is supposed to be a Link Token!");
    }
    
    public boolean isIMG()    { return false; }
    public String getIMGsrc() {
        throw new RuntimeException("This object is supposed to be a Link Token!");
    }
    public boolean isLink()   { return true;  }
    private String getLinkTarget() {
        return this.href;
    }
    
    public String getVariantValue() {
        return this.getLinkTarget();
    }
    
}
