/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License
*/
/*
 * FixtureOnFile.java
 *
 * Created on February 26, 2004, 9:55 PM
 * @author  Valter Crescenzi
 */

package roadrunner;


import java.io.File;
import java.io.FileNotFoundException;

import roadrunner.util.Util;

public class FixtureOnFile {
    
    static {
        System.setProperty("rr.home", "/home/crescenz/TheRRProject/RoadRunner");
    }
    
    public final static String wrappersDir = "src/test/fix/wrappers/";
    public final static String samplesDir  = "src/test/fix/samples/";
    public final static String basicDir    = "src/test/fix/basic/";
    public final static String prefsDir    = "src/test/fix/preferences/";
        
    static public File getWrapperFile(String name) throws FileNotFoundException {
        return Util.searchInRRHOME(wrappersDir+name);
    }
    
    static public File getSampleFile(String name) throws FileNotFoundException {
        return Util.searchInRRHOME(samplesDir+name);
    }

    static public File getPreferencesFile(String name) throws FileNotFoundException {
        return Util.searchInRRHOME(prefsDir+name);
    }
    
    static public File getBasicFile(String name) throws FileNotFoundException {
        return Util.searchInRRHOME(basicDir+name);
    }
}
