/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License
*/
/*
 * TagTest.java
 * JUnit based test
 *
 * Created on 27 febbraio 2003, 12.38
 * @author Valter Crescenzi
 */

package roadrunner.parser.token;

import junit.framework.*;

import java.io.*;
import java.net.*;
import java.util.*;

import javax.xml.parsers.*;

import org.w3c.dom.*;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import roadrunner.*;
import roadrunner.ast.*;

public class TagTest extends TestCase {
  
  public TagTest(java.lang.String testName) {
    super(testName);
    
  }
  
  public static void main(java.lang.String[] args) {
    junit.textui.TestRunner.run(suite());
  }
  
  public static Test suite() {
    TestSuite suite = new TestSuite(TagTest.class);
    return suite;
  }
  
  /** Test of factory class method, of class roadrunner.parser.TagFactory. */
  public void testFactory() {
    System.out.println("testFactory");
    Map atts = new HashMap(); atts.put("href","http://boh");
    Tag tag0 = TagFactory.getInstance().createTag(new String("a"),atts); // variant tag
    Tag tag1 = TagFactory.getInstance().createTag("a", Collections.EMPTY_MAP);
    Tag tag2 = TagFactory.getInstance().createTag("a", Collections.EMPTY_MAP);
    Tag tag3 = TagFactory.getInstance().createTag("a", new HashMap(atts));
    Map imgatts = new HashMap(); imgatts.put("src", "http://ariboh");
    Tag tag4 = TagFactory.getInstance().createTag("img", imgatts);
    assertTrue(tag1==tag2);
    assertTrue(tag1!=tag3);
    assertTrue(tag3.getAttributes().containsKey("href"));
  }
  
  
}
